## Class Auth_Yadis_dom

Description

This concrete implementation of Auth_Yadis_XMLParser implements

the appropriate API for the 'dom' extension which is typically packaged with PHP 5. This class will be used whenever the 'dom' extension is detected. See the Auth_Yadis_XMLParser class for details on this class's methods.

Located in /Auth/Yadis/XML.php (line 219)

    Auth_Yadis_XMLParser
       |
       --Auth_Yadis_dom

Method Summary
Auth_Yadis_dom Auth_Yadis_dom ()
void attributes ( $node)
void content ( $node)
void &evalXPath ( $xpath, [ $node = null])
void registerNamespace ( $prefix, $uri)
void setXML ( $xml_string)
Methods
Constructor Auth_Yadis_dom (line 220)
Auth_Yadis_dom Auth_Yadis_dom ()
attributes (line 283)
void attributes ( $node)

- $node

Redefinition of:

Auth_Yadis_XMLParser::attributes()
  Return the attributes of a specified node.

content (line 276)
void content ( $node)

- $node

Redefinition of:

Auth_Yadis_XMLParser::content()
  Return the textual content of a specified node.

evalXPath (line 255)
void &evalXPath ( $xpath, [ $node = null])

- $xpath
- $node

Redefinition of:

Auth_Yadis_XMLParser::evalXPath()
  Evaluate an XPath expression and return the resulting node list. This should be overridden by subclasses.

registerNamespace (line 250)
void registerNamespace ( $prefix, $uri)

- $prefix
- $uri

Redefinition of:

Auth_Yadis_XMLParser::registerNamespace()
  Register a namespace with the XML parser. This should be overridden by subclasses.

setXML (line 228)
void setXML ( $xml_string)

- $xml_string

Redefinition of:

Auth_Yadis_XMLParser::setXML()
  Set this parser object's XML payload. This should be overridden by subclasses.

#### Inherited Methods

Inherited From Auth_Yadis_XMLParser

> Auth_Yadis_XMLParser::attributes()
> Auth_Yadis_XMLParser::content()
> Auth_Yadis_XMLParser::evalXPath()
> Auth_Yadis_XMLParser::init()
> Auth_Yadis_XMLParser::registerNamespace()
> Auth_Yadis_XMLParser::setXML()

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2